%define anolis_release 3

Name:       wireplumber
Version:    0.4.14
Release:    %{anolis_release}%{?dist}
Summary:    A modular session/policy manager for PipeWire
License:    MIT
URL:        https://pipewire.pages.freedesktop.org/%{name}/
Source0:    https://gitlab.freedesktop.org/pipewire/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  meson gcc python3-lxml doxygen
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0) pkgconfig(libspa-0.2) >= 0.2 pkgconfig(lua)
BuildRequires:  pkgconfig pkgconfig(libpipewire-0.3) >= 0.3.26 pkgconfig(systemd)
BuildRequires:  systemd-devel >= 184 systemd-rpm-macros gobject-introspection-devel

%{?systemd_ordering}

Requires:       %{name}-libs = %{version}-%{release}
Provides:       pipewire-session-manager
Conflicts:      pipewire-session-manager

%description
The %{name} is a modular session/policy manager for PipeWire and a GObject-based
high-level library that wraps PipeWire's API, providing convenience for writing
the daemon's modules as well as external tools for managing PipeWire.

%package libs
Summary:        Libraries for WirePlumber clients
Recommends:     %{name} = %{version}-%{release}

%description libs
This %{name}-libs contains the runtime libraries for any application that wishes
to interface with WirePlumber.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release} %{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dsystem-lua=true \
       -Ddoc=disabled \
       -Dsystemd=enabled \
       -Dsystemd-user-service=true \
       -Dintrospection=enabled \
       -Delogind=disabled
%meson_build

%install
%meson_install

# Create local config skeleton
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/{bluetooth.lua.d,common,main.lua.d,policy.lua.d}

%generate_compatibility_deps

%posttrans
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%files
%license LICENSE
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/bluetooth.lua.d
%dir %{_sysconfdir}/%{name}/common
%dir %{_sysconfdir}/%{name}/main.lua.d
%dir %{_sysconfdir}/%{name}/policy.lua.d
%{_bindir}/%{name}
%{abidir}/%{name}-option.list
%{_bindir}/wpctl
%{abidir}/wpctl-option.list
%{_bindir}/wpexec
%{abidir}/wpexec-option.list
%{_datadir}/%{name}/
%{_userunitdir}/%{name}.service
%{_userunitdir}/%{name}@.service

%files libs
%license LICENSE
%dir %{abidir}
%{abidir}/lib%{name}-0.4.dump
%{abidir}/lib%{name}-module-*.dump
%dir %{_libdir}/%{name}-0.4/
%{_libdir}/%{name}-0.4/lib%{name}-*.so
%{_libdir}/lib%{name}-0.4.so.*
%{_libdir}/girepository-1.0/Wp-0.4.typelib

%files devel
%{_datadir}/gir-1.0/Wp-0.4.gir
%{_includedir}/%{name}-0.4/
%{_libdir}/lib%{name}-0.4.so
%{_libdir}/pkgconfig/%{name}-0.4.pc

%files doc
%doc NEWS.rst README.rst

%changelog
* Tue Apr 30 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.4.14-3
- Rebuild for Anolis 23

* Thu Apr 13 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 0.4.14-2
- Refact spec

* Mon Mar 20 2023 Feng Su <sufeng@linux.alibaba.com> - 0.4.14-1
- update to v0.4.14
- add api/abi files

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.4.9-1
- init from upstream
